Name:		mailfront-imapfront-auth-dovecot
Summary:	Wrapper to use with mailfront imapfront-auth with dovecot
Version:	0.03
Release:	1%{?dist}
License:	GPL
Group:		Utilities/System
Source:		http://choon.net/opensource/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:		http://choon.net/mailfront-imapfront-auth-dovecot.php
Packager:	Giam Teck Choon <choonrpms@choon.net>
Requires:	mailfront >= 1.16, dovecot >= 1.2
BuildRequires:	make, gcc

%description

mailfront-imapfront-auth-dovecot is a program to modify the MAIL environment
variable according to dovecot imap requirements in order to access users
mail storage.

Dovecot uses colons as internal field separators; however, since v1.2rc6, it
allows colons occurrences via escaping (as : → ::). Before passing such
mailbox paths via MAIL environment variable to dovecot imap, this wrapper
performs such escaping.

From original MAIL environment variable:

/home/USERNAME/MAILDIR/mail:box:user

To:

maildir:/home/USERNAME/MAILDIR/mail::box::user

Or:

mbox:/home/USERNAME/MAILDIR/mail::box::user

More information can be read at:

http://wiki.dovecot.org/MailLocation
http://wiki2.dovecot.org/MailLocation

References:

http://lists.untroubled.org/?list=bgware&cmd=showthread&month=201011&threadid=elpfjlnilcganfkokehg
http://mij.oltrelinux.com/net/dovecot-qmail-vmailmgr/
http://wiki.dovecot.org/HowTo/VMailMgr

%prep
%setup

%build
make

%install
rm -fr %{buildroot}
make prefix=%{_prefix} install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*

%changelog

* Thu Nov 18 2010 Giam Teck Choon <choonrpms@choon.net> - 0.03-1
- Update to release 0.03

* Sat Nov 13 2010 Giam Teck Choon <choonrpms@choon.net> - 0.02-1
- Support dovecot version 2
- Support mbox format
- Skip modifying $MAIL if starting string is mbox: or maildir:

* Wed Nov 10 2010 Giam Teck Choon <choonrpms@choon.net> - 0.01-1
- Initial release
